Disk ARchive: libdar::entree_stats Struct Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
libdar::entree_stats Struct Reference
API

holds the statistics contents of a catalogue More...

`#include <entree_stats.hpp>`

## Public Member Functions
void | clear ()
void | add (const cat_entree *ref)
void | listing (user_interaction &dialog) const

## Public Attributes
infinint | num_x
| number of file referenced as destroyed since last backup
infinint | num_d
| number of directories
infinint | num_f
| number of plain files (hard link or not, thus file directory entries)
infinint | num_c
| number of char devices
infinint | num_b
| number of block devices
infinint | num_p
| number of named pipes
infinint | num_s
| number of unix sockets
infinint | num_l
| number of symbolic links
infinint | num_D
| number of Door
infinint | num_hard_linked_inodes
| number of inode that have more than one link (inode with "hard links")
infinint | num_hard_link_entries
infinint | saved
| total number of saved inode (unix inode, not inode class) hard links do not count here
infinint | patched
| total number of saved data as binary delta patch
infinint | inode_only
| total number of inode which metadata changed without data being modified
infinint | total
| total number of inode in archive (unix inode, not inode class) hard links do not count here

## Detailed Description

holds the statistics contents of a catalogue

Definition at line 48 of file entree_stats.hpp.

## Member Function Documentation

## ◆ clear()

void libdar::entree_stats::clear | ( |  | ) |
| inline

Definition at line 66 of file entree_stats.hpp.

## Member Data Documentation

## ◆ inode_only

infinint libdar::entree_stats::inode_only

total number of inode which metadata changed without data being modified

Definition at line 64 of file entree_stats.hpp.

## ◆ num_b

infinint libdar::entree_stats::num_b

number of block devices

Definition at line 54 of file entree_stats.hpp.

## ◆ num_c

infinint libdar::entree_stats::num_c

number of char devices

Definition at line 53 of file entree_stats.hpp.

## ◆ num_D

infinint libdar::entree_stats::num_D

number of Door

Definition at line 58 of file entree_stats.hpp.

## ◆ num_d

infinint libdar::entree_stats::num_d

number of directories

Definition at line 51 of file entree_stats.hpp.

## ◆ num_f

infinint libdar::entree_stats::num_f

number of plain files (hard link or not, thus file directory entries)

Definition at line 52 of file entree_stats.hpp.

## ◆ num_hard_link_entries

infinint libdar::entree_stats::num_hard_link_entries

total number of hard links (file directory entry pointing to an inode already linked in the same or another directory (i.e. hard linked))

Definition at line 60 of file entree_stats.hpp.

## ◆ num_hard_linked_inodes

infinint libdar::entree_stats::num_hard_linked_inodes

number of inode that have more than one link (inode with "hard links")

Definition at line 59 of file entree_stats.hpp.

## ◆ num_l

infinint libdar::entree_stats::num_l

number of symbolic links

Definition at line 57 of file entree_stats.hpp.

## ◆ num_p

infinint libdar::entree_stats::num_p

number of named pipes

Definition at line 55 of file entree_stats.hpp.

## ◆ num_s

infinint libdar::entree_stats::num_s

number of unix sockets

Definition at line 56 of file entree_stats.hpp.

## ◆ num_x

infinint libdar::entree_stats::num_x

number of file referenced as destroyed since last backup

Definition at line 50 of file entree_stats.hpp.

## ◆ patched

infinint libdar::entree_stats::patched

total number of saved data as binary delta patch

Definition at line 63 of file entree_stats.hpp.

## ◆ saved

infinint libdar::entree_stats::saved

total number of saved inode (unix inode, not inode class) hard links do not count here

Definition at line 62 of file entree_stats.hpp.

## ◆ total

infinint libdar::entree_stats::total

total number of inode in archive (unix inode, not inode class) hard links do not count here

Definition at line 65 of file entree_stats.hpp.

The documentation for this struct was generated from the following file:

- entree_stats.hpp